
/*
 * Copyright (C) 2010-2020 Oracle Corporation
 *
 * This file is part of the VirtualBox SDK, as available from
 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * ProxyMode.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_6_1;

import org.virtualbox_6_1.jaxws.*;
import javax.xml.ws.*;

/**
Proxy setting: System (default), NoProxy and Manual.{@link org.virtualbox_6_1.ISystemProperties#getProxyMode()}
Interface ID: <tt>{885264B3-B517-40FC-CE46-36E3BAE895A4}</tt>
*/
public enum ProxyMode
{

/**
Use the system proxy settings as far as possible.
*/
    System(0),

/**
Direct connection to the Internet.
*/
    NoProxy(1),

/**
Use the manual proxy from{@link org.virtualbox_6_1.ISystemProperties#getProxyURL()}.
*/
    Manual(2);

    private final int value;

    ProxyMode(int v)
    {
        value = v;
    }

    public int value()
    {
        return value;
    }

    public static ProxyMode fromValue(long v)
    {
        for (ProxyMode c: ProxyMode.values())
        {
            if (c.value == (int)v)
            {
                return c;
            }
        }
        throw new IllegalArgumentException(Long.toString(v));
    }

    public static ProxyMode fromValue(String v)
    {
        return valueOf(ProxyMode.class, v);
    }
}

